/*
 * Copyright (C) 2001, 2002, 2003 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of
 * the License at http://www.redhat.com/licenses/ccmpl.html
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 */

package com.arsdigita.portalserver.test;

import com.arsdigita.initializer.Configuration;
import com.arsdigita.initializer.InitializationException;
import com.arsdigita.persistence.SessionManager;
import com.arsdigita.persistence.TransactionContext;
import com.arsdigita.kernel.*;
import com.arsdigita.portalserver.*;


import org.apache.log4j.Category;

public class Initializer implements com.arsdigita.initializer.Initializer {
    public Configuration getConfiguration() {
        return null;
    }

    public void startup() throws InitializationException {
        s_log.warn("Initializing Portal...");

        TransactionContext txn =
            SessionManager.getSession().getTransactionContext();

        txn.beginTxn();

        TestPortalSetup setup = new TestPortalSetup();
        setup.setupPortal();
        txn.commitTxn();

    }

    public void shutdown() throws InitializationException {

    }

    private static Category s_log = Category.getInstance
        (Initializer.class);

    private Configuration m_conf = new Configuration();




}
